package com.ruoyi.buyerapi.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 项目管理过程文件对象 buyer_process_file
 * 
 * @author ruoyi
 * @date 2022-09-22
 */
@ApiModel(value = "项目管理过程文件对象")
@Data
public class BuyerProcessFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @ApiModelProperty(value = "id")
    private String id;

    /** 备注 */
    @ApiModelProperty(value = "备注")
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 1代表删除） */
    @ApiModelProperty(value = "删除标志（0代表存在 1代表删除） ")
    private String delFlag;

    /** 公司id */
    @ApiModelProperty(value = "公司id")
    @Excel(name = "公司id")
    private String deptId;

    /** 项目id */
    @Excel(name = "项目id")
    @ApiModelProperty(value = "项目id")
    private String projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    @ApiModelProperty(value = "项目名称")
    private String projectName;

    /** 文件名 */
    @Excel(name = "文件名")
    @ApiModelProperty(value = "文件名")
    private String fileName;

    /** 文件类型 */
    @ApiModelProperty(value = "文件类型")
    @Excel(name = "文件类型")
    private String fileType;

    /** 过程文件 */
    @ApiModelProperty(value = "过程文件")
    @Excel(name = "过程文件")
    private String amount;

    /** 是否需要过程文件（0：不需要，1：需要） */
    @ApiModelProperty(value = "是否需要过程文件（0：不需要，1：需要）")
    @Excel(name = "是否需要过程文件（0：不需要，1：需要）")
    private String status;

    /** 关联文件 */
    @ApiModelProperty(value = "关联文件")
    private List<BuyerFileInfo> buyerFileInfos;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setDeptId(String deptId) 
    {
        this.deptId = deptId;
    }

    public String getDeptId() 
    {
        return deptId;
    }
    public void setProjectId(String projectId) 
    {
        this.projectId = projectId;
    }

    public String getProjectId() 
    {
        return projectId;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }
    public void setFileType(String fileType) 
    {
        this.fileType = fileType;
    }

    public String getFileType() 
    {
        return fileType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("deptId", getDeptId())
            .append("projectId", getProjectId())
            .append("fileName", getFileName())
            .append("fileType", getFileType())
            .toString();
    }
}
